Index: /trunk/src/lib/collision_detection/bv_tree.h
===================================================================
--- /trunk/src/lib/collision_detection/bv_tree.h	(revision 5404)
+++ /trunk/src/lib/collision_detection/bv_tree.h	(revision 5405)
@@ -12,5 +12,5 @@
 #include "abstract_model.h"
 
-// FORWARD DEFINITION
+// FORWARD DECLARATION
 class BoundingVolume;
 class BVTreeNode;
Index: /trunk/src/lib/collision_detection/bv_tree_node.h
===================================================================
--- /trunk/src/lib/collision_detection/bv_tree_node.h	(revision 5404)
+++ /trunk/src/lib/collision_detection/bv_tree_node.h	(revision 5405)
@@ -11,5 +11,5 @@
 #include "abstract_model.h"
 
-// FORWARD DEFINITION
+// FORWARD DECLARATION
 class BoundingVolume;
 class BVTree;
Index: /trunk/src/lib/collision_detection/obb_tree_node.h
===================================================================
--- /trunk/src/lib/collision_detection/obb_tree_node.h	(revision 5404)
+++ /trunk/src/lib/collision_detection/obb_tree_node.h	(revision 5405)
@@ -12,5 +12,5 @@
 
 
-// FORWARD DEFINITION
+// FORWARD DECLARATION
 class BoundingVolume;
 class OBB;
Index: /trunk/src/lib/coord/p_node.h
===================================================================
--- /trunk/src/lib/coord/p_node.h	(revision 5404)
+++ /trunk/src/lib/coord/p_node.h	(revision 5405)
@@ -22,5 +22,5 @@
 #include "vector.h"
 
-// FORWARD DEFINITION \\
+// FORWARD DECLARATION
 class TiXmlElement;
 template<class T> class tList;
Index: /trunk/src/lib/graphics/importer/material.h
===================================================================
--- /trunk/src/lib/graphics/importer/material.h	(revision 5404)
+++ /trunk/src/lib/graphics/importer/material.h	(revision 5405)
@@ -18,5 +18,5 @@
 #endif
 
-// FORWARD DEFINITIONS //
+// FORWARD DECLARATIONS //
 class Texture;
 
Index: /trunk/src/lib/graphics/importer/model.h
===================================================================
--- /trunk/src/lib/graphics/importer/model.h	(revision 5404)
+++ /trunk/src/lib/graphics/importer/model.h	(revision 5405)
@@ -14,5 +14,5 @@
 
 
-// FORWARD DEFINITION //
+// FORWARD DECLARATION //
 template<class T> class tArray;
 template<class T> class tList;
Index: /trunk/src/lib/graphics/light.h
===================================================================
--- /trunk/src/lib/graphics/light.h	(revision 5404)
+++ /trunk/src/lib/graphics/light.h	(revision 5405)
@@ -18,5 +18,5 @@
 
 
-// FORWARD DEFINITIONS //
+// FORWARD DECLARATIONS //
 class Vector;
 class TiXmlElement;
Index: /trunk/src/lib/graphics/render2D/render_2d.h
===================================================================
--- /trunk/src/lib/graphics/render2D/render_2d.h	(revision 5404)
+++ /trunk/src/lib/graphics/render2D/render_2d.h	(revision 5405)
@@ -10,5 +10,5 @@
 #include "base_object.h"
 #include "element_2d.h"
-// FORWARD DEFINITION
+// FORWARD DECLARATION
 template <class T> class tList;
 
Index: /trunk/src/lib/graphics/spatial_separation/quadtree_node.h
===================================================================
--- /trunk/src/lib/graphics/spatial_separation/quadtree_node.h	(revision 5404)
+++ /trunk/src/lib/graphics/spatial_separation/quadtree_node.h	(revision 5405)
@@ -19,5 +19,5 @@
 #include "abstract_model.h"
 
-// FORWARD DEFINITION
+// FORWARD DECLARATION
 class Quadtree;
 
Index: /trunk/src/lib/gui/gl_gui/glgui_handler.h
===================================================================
--- /trunk/src/lib/gui/gl_gui/glgui_handler.h	(revision 5404)
+++ /trunk/src/lib/gui/gl_gui/glgui_handler.h	(revision 5405)
@@ -1,5 +1,5 @@
 /*!
  * @file proto_singleton.h
- * @brief Definition of the ... singleton Class
+ * @brief Definition of the GLGuiHandler singleton Class
 */
 
@@ -9,7 +9,7 @@
 #include "event_listener.h"
 
-// FORWARD DEFINITION
+// FORWARD DECLARATION
 
-//! A default singleton class.
+//! A singleton class for the GLGui-Handler
 class GLGuiHandler : public EventListener {
 
Index: /trunk/src/lib/gui/gl_gui/glgui_mainwidget.h
===================================================================
--- /trunk/src/lib/gui/gl_gui/glgui_mainwidget.h	(revision 5404)
+++ /trunk/src/lib/gui/gl_gui/glgui_mainwidget.h	(revision 5405)
@@ -9,5 +9,5 @@
 #include "glgui_widget.h"
 
-// FORWARD DEFINITION
+// FORWARD DECLARATION
 
 //! A default singleton class.
Index: /trunk/src/lib/lang/class_list.h
===================================================================
--- /trunk/src/lib/lang/class_list.h	(revision 5404)
+++ /trunk/src/lib/lang/class_list.h	(revision 5405)
@@ -10,5 +10,5 @@
 #include "class_id.h"
 
-// FORWARD DEFINITION
+// FORWARD DECLARATION
 class BaseObject;
 template<class T> class tList;
Index: /trunk/src/lib/particles/particle_emitter.h
===================================================================
--- /trunk/src/lib/particles/particle_emitter.h	(revision 5404)
+++ /trunk/src/lib/particles/particle_emitter.h	(revision 5405)
@@ -9,5 +9,5 @@
 #include "p_node.h"
 
-// FORWARD DEFINITION
+// FORWARD DECLARATION
 class ParticleSystem;
 class TiXmlElement;
Index: /trunk/src/lib/particles/particle_engine.h
===================================================================
--- /trunk/src/lib/particles/particle_engine.h	(revision 5404)
+++ /trunk/src/lib/particles/particle_engine.h	(revision 5405)
@@ -14,5 +14,5 @@
 #include "tinyxml.h"
 
-// FORWARD DEFINITION
+// FORWARD DECLARATION
 template<class T> class tList;
 
Index: /trunk/src/lib/particles/particle_system.h
===================================================================
--- /trunk/src/lib/particles/particle_system.h	(revision 5404)
+++ /trunk/src/lib/particles/particle_system.h	(revision 5405)
@@ -39,5 +39,5 @@
 #define PARTICLE_DEFAULT_TYPE         PARTICLE_SPRITE   //!< A default type of the system.
 
-// FORWARD DEFINITION
+// FORWARD DECLARATION
 class Material;
 class ParticleEmitter;
Index: /trunk/src/lib/particles/quick_animation.h
===================================================================
--- /trunk/src/lib/particles/quick_animation.h	(revision 5404)
+++ /trunk/src/lib/particles/quick_animation.h	(revision 5405)
@@ -10,5 +10,5 @@
 #include "base_object.h"
 
-// FORWARD DEFINITION
+// FORWARD DECLARATION
 
 
Index: /trunk/src/lib/physics/fields/field.h
===================================================================
--- /trunk/src/lib/physics/fields/field.h	(revision 5404)
+++ /trunk/src/lib/physics/fields/field.h	(revision 5405)
@@ -27,5 +27,5 @@
 #include "p_node.h"
 
-// FORWARD DEFINITION
+// FORWARD DECLARATION
 class TiXmlElement;
 
Index: /trunk/src/lib/physics/fields/gravity.h
===================================================================
--- /trunk/src/lib/physics/fields/gravity.h	(revision 5404)
+++ /trunk/src/lib/physics/fields/gravity.h	(revision 5405)
@@ -10,5 +10,5 @@
 #include "field.h"
 
-// FORWARD DEFINITION
+// FORWARD DECLARATION
 
 
Index: /trunk/src/lib/physics/fields/point_gravity.h
===================================================================
--- /trunk/src/lib/physics/fields/point_gravity.h	(revision 5404)
+++ /trunk/src/lib/physics/fields/point_gravity.h	(revision 5405)
@@ -10,5 +10,5 @@
 #include "field.h"
 
-// FORWARD DEFINITION
+// FORWARD DECLARATION
 
 
Index: /trunk/src/lib/physics/fields/twirl.h
===================================================================
--- /trunk/src/lib/physics/fields/twirl.h	(revision 5404)
+++ /trunk/src/lib/physics/fields/twirl.h	(revision 5405)
@@ -10,5 +10,5 @@
 #include "field.h"
 
-// FORWARD DEFINITION
+// FORWARD DECLARATION
 
 
Index: /trunk/src/lib/sound/sound_engine.h
===================================================================
--- /trunk/src/lib/sound/sound_engine.h	(revision 5404)
+++ /trunk/src/lib/sound/sound_engine.h	(revision 5405)
@@ -16,5 +16,5 @@
 #define SOUND_DOPPLER_VELOCITY     5000000        //!< A factor for the TravelSpeed of sound
 
-// FORWARD DEFINITION
+// FORWARD DECLARATION
 class PNode;
 template<class T> class tList;
Index: /trunk/src/lib/util/ini_parser.h
===================================================================
--- /trunk/src/lib/util/ini_parser.h	(revision 5404)
+++ /trunk/src/lib/util/ini_parser.h	(revision 5405)
@@ -14,5 +14,5 @@
 #endif
 
-// FORWARD DEFINITION //
+// FORWARD DECLARATION //
 template<class T> class tList;
 
Index: /trunk/src/proto/proto_singleton.h
===================================================================
--- /trunk/src/proto/proto_singleton.h	(revision 5404)
+++ /trunk/src/proto/proto_singleton.h	(revision 5405)
@@ -9,5 +9,5 @@
 #include "base_object.h"
 
-// FORWARD DEFINITION
+// FORWARD DECLARATION
 
 //! A default singleton class.
Index: /trunk/src/util/animation/animation.h
===================================================================
--- /trunk/src/util/animation/animation.h	(revision 5404)
+++ /trunk/src/util/animation/animation.h	(revision 5405)
@@ -12,5 +12,5 @@
 #include "debug.h"
 
-// FORWARD DEFINITION
+// FORWARD DECLARATION
 
 //! An enumerator of Functions to describe the flow of the Animation
Index: /trunk/src/util/animation/animation_player.h
===================================================================
--- /trunk/src/util/animation/animation_player.h	(revision 5404)
+++ /trunk/src/util/animation/animation_player.h	(revision 5405)
@@ -9,5 +9,5 @@
 #include "animation.h"
 
-/* FORWARD DEFINITION */
+/* FORWARD DECLARATION */
 
 //! A AnimationPlayer, that handles the animation of all the Animations in the scene.
Index: /trunk/src/util/resource_manager.h
===================================================================
--- /trunk/src/util/resource_manager.h	(revision 5404)
+++ /trunk/src/util/resource_manager.h	(revision 5405)
@@ -23,5 +23,5 @@
 #include "stdlibincl.h"
 
-// FORWARD DEFINITION
+// FORWARD DECLARATION
 template<class T> class tList;
 
Index: /trunk/src/util/state.h
===================================================================
--- /trunk/src/util/state.h	(revision 5404)
+++ /trunk/src/util/state.h	(revision 5405)
@@ -1,5 +1,5 @@
 /*!
  * @file state.h
-  *  Definition of the States-singleton Class
+ * Definition of the States Class
 */
 
@@ -7,13 +7,17 @@
 #define _STATE_H
 
-#include "base_object.h"
-
-// FORWARD DEFINITION
+// FORWARD DECLARATION
 class PNode;
 class WorldEntity;
 template<class T> class tList;
+//template<class T> class tStack;
 
-//! A Singleton class, that handles some states about orxonox's objects
-class State : public BaseObject {
+//! handles states about orxonox's most importatn objects
+/**
+ * This is an abstract Class-container, not really a Class.
+ * in this Class only static references to the most important
+ * Objects/List/etc. are stored.
+ */
+class State {
 
  public:
@@ -36,7 +40,10 @@
 
   static const PNode*           camera;             //!< A reference to the camera
-  static const PNode*           cameraTarget;       //!< a reference to the cameraTarget
+  static const PNode*           cameraTarget;       //!< A reference to the cameraTarget
+  static PNode*                 nullParent;         //!< A reference to the Null-PNode.
 
   static tList<WorldEntity>*    worldEntityList;    //!< The List of the worldEntities
+
+  //tStack<
 };
 
Index: /trunk/src/util/track/track_node.h
===================================================================
--- /trunk/src/util/track/track_node.h	(revision 5404)
+++ /trunk/src/util/track/track_node.h	(revision 5405)
@@ -14,5 +14,5 @@
 #include "p_node.h"
 
-/* FORWARD DEFINITION */
+/* FORWARD DECLARATION */
 class TrackManager;
 
Index: /trunk/src/world_entities/skybox.h
===================================================================
--- /trunk/src/world_entities/skybox.h	(revision 5404)
+++ /trunk/src/world_entities/skybox.h	(revision 5405)
@@ -13,5 +13,5 @@
 #include "world_entity.h"
 
-/* FORWARD DEFINITION */
+/* FORWARD DECLARATION */
 
 //! A Class to handle a SkyBox
Index: /trunk/src/world_entities/skysphere.h
===================================================================
--- /trunk/src/world_entities/skysphere.h	(revision 5404)
+++ /trunk/src/world_entities/skysphere.h	(revision 5405)
@@ -16,5 +16,5 @@
 #include "world_entity.h"
 
-/* FORWARD DEFINITION */
+/* FORWARD DECLARATION */
 class Material;
 class Vector;
Index: /trunk/src/world_entities/terrain.h
===================================================================
--- /trunk/src/world_entities/terrain.h	(revision 5404)
+++ /trunk/src/world_entities/terrain.h	(revision 5405)
@@ -13,5 +13,5 @@
 #include "world_entity.h"
 
-// FORWARD DEFINITION
+// FORWARD DECLARATION
 class SpatialSeparation;
 
Index: /trunk/src/world_entities/weapons/crosshair.h
===================================================================
--- /trunk/src/world_entities/weapons/crosshair.h	(revision 5404)
+++ /trunk/src/world_entities/weapons/crosshair.h	(revision 5405)
@@ -15,5 +15,5 @@
 
 
-// FORWARD DEFINITION
+// FORWARD DECLARATION
 class Model;
 class Material;