Index: trunk/src/lib/event/Makefile.am
===================================================================
--- trunk/src/lib/event/Makefile.am	(revision 5412)
+++ trunk/src/lib/event/Makefile.am	(revision 5413)
@@ -2,11 +2,11 @@
 include $(MAINSRCDIR)/defs/include_paths.am
 
-noinst_LTLIBRARIES = libORXevent.la
+noinst_LIBRARIES = libORXevent.a 
 
-libORXevent_la_SOURCES = event.cc \
-			 event_handler.cc \
-			 event_listener.cc \
-			 key_mapper.cc \
-			 key_names.cc
+libORXevent_a_SOURCES = event.cc \
+			event_handler.cc \
+			event_listener.cc \
+			key_mapper.cc \
+			key_names.cc
 
 
Index: trunk/src/lib/event/Makefile.in
===================================================================
--- trunk/src/lib/event/Makefile.in	(revision 5412)
+++ trunk/src/lib/event/Makefile.in	(revision 5413)
@@ -16,5 +16,5 @@
 
 
-SOURCES = $(libORXevent_la_SOURCES)
+SOURCES = $(libORXevent_a_SOURCES)
 
 srcdir = @srcdir@
@@ -49,27 +49,27 @@
 CONFIG_HEADER = $(top_builddir)/config.h
 CONFIG_CLEAN_FILES =
-LTLIBRARIES = $(noinst_LTLIBRARIES)
-libORXevent_la_LIBADD =
-am_libORXevent_la_OBJECTS = event.lo event_handler.lo \
-	event_listener.lo key_mapper.lo key_names.lo
-libORXevent_la_OBJECTS = $(am_libORXevent_la_OBJECTS)
+LIBRARIES = $(noinst_LIBRARIES)
+AR = ar
+ARFLAGS = cru
+libORXevent_a_AR = $(AR) $(ARFLAGS)
+libORXevent_a_LIBADD =
+am_libORXevent_a_OBJECTS = event.$(OBJEXT) event_handler.$(OBJEXT) \
+	event_listener.$(OBJEXT) key_mapper.$(OBJEXT) \
+	key_names.$(OBJEXT)
+libORXevent_a_OBJECTS = $(am_libORXevent_a_OBJECTS)
 DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
 depcomp = $(SHELL) $(top_srcdir)/depcomp
 am__depfiles_maybe = depfiles
-@AMDEP_TRUE@DEP_FILES = ./$(DEPDIR)/event.Plo \
-@AMDEP_TRUE@	./$(DEPDIR)/event_handler.Plo \
-@AMDEP_TRUE@	./$(DEPDIR)/event_listener.Plo \
-@AMDEP_TRUE@	./$(DEPDIR)/key_mapper.Plo \
-@AMDEP_TRUE@	./$(DEPDIR)/key_names.Plo
+@AMDEP_TRUE@DEP_FILES = ./$(DEPDIR)/event.Po \
+@AMDEP_TRUE@	./$(DEPDIR)/event_handler.Po \
+@AMDEP_TRUE@	./$(DEPDIR)/event_listener.Po \
+@AMDEP_TRUE@	./$(DEPDIR)/key_mapper.Po ./$(DEPDIR)/key_names.Po
 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
 	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
-LTCXXCOMPILE = $(LIBTOOL) --mode=compile $(CXX) $(DEFS) \
-	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
-	$(AM_CXXFLAGS) $(CXXFLAGS)
 CXXLD = $(CXX)
-CXXLINK = $(LIBTOOL) --mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) \
-	$(AM_LDFLAGS) $(LDFLAGS) -o $@
-SOURCES = $(libORXevent_la_SOURCES)
-DIST_SOURCES = $(libORXevent_la_SOURCES)
+CXXLINK = $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) \
+	-o $@
+SOURCES = $(libORXevent_a_SOURCES)
+DIST_SOURCES = $(libORXevent_a_SOURCES)
 HEADERS = $(noinst_HEADERS)
 ETAGS = etags
@@ -80,5 +80,4 @@
 AMDEP_TRUE = @AMDEP_TRUE@
 AMTAR = @AMTAR@
-AR = @AR@
 AUTOCONF = @AUTOCONF@
 AUTOHEADER = @AUTOHEADER@
@@ -93,5 +92,4 @@
 CURL_LIBS = @CURL_LIBS@
 CXX = @CXX@
-CXXCPP = @CXXCPP@
 CXXDEPMODE = @CXXDEPMODE@
 CXXFLAGS = @CXXFLAGS@
@@ -105,5 +103,4 @@
 DOXYGEN_FALSE = @DOXYGEN_FALSE@
 DOXYGEN_TRUE = @DOXYGEN_TRUE@
-ECHO = @ECHO@
 ECHO_C = @ECHO_C@
 ECHO_N = @ECHO_N@
@@ -111,6 +108,4 @@
 EGREP = @EGREP@
 EXEEXT = @EXEEXT@
-F77 = @F77@
-FFLAGS = @FFLAGS@
 GPROF = @GPROF@
 GTK2_CFLAGS = @GTK2_CFLAGS@
@@ -127,6 +122,4 @@
 LIBOBJS = @LIBOBJS@
 LIBS = @LIBS@
-LIBTOOL = @LIBTOOL@
-LN_S = @LN_S@
 LTLIBOBJS = @LTLIBOBJS@
 MAKEINFO = @MAKEINFO@
@@ -148,8 +141,6 @@
 SUB_PROJECTS_TRUE = @SUB_PROJECTS_TRUE@
 VERSION = @VERSION@
-ac_ct_AR = @ac_ct_AR@
 ac_ct_CC = @ac_ct_CC@
 ac_ct_CXX = @ac_ct_CXX@
-ac_ct_F77 = @ac_ct_F77@
 ac_ct_RANLIB = @ac_ct_RANLIB@
 ac_ct_STRIP = @ac_ct_STRIP@
@@ -194,10 +185,10 @@
 target_vendor = @target_vendor@
 MAINSRCDIR = ../..
-noinst_LTLIBRARIES = libORXevent.la
-libORXevent_la_SOURCES = event.cc \
-			 event_handler.cc \
-			 event_listener.cc \
-			 key_mapper.cc \
-			 key_names.cc
+noinst_LIBRARIES = libORXevent.a 
+libORXevent_a_SOURCES = event.cc \
+			event_handler.cc \
+			event_listener.cc \
+			key_mapper.cc \
+			key_names.cc
 
 noinst_HEADERS = event.h \
@@ -211,5 +202,5 @@
 
 .SUFFIXES:
-.SUFFIXES: .cc .lo .o .obj
+.SUFFIXES: .cc .o .obj
 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
 	@for dep in $?; do \
@@ -242,14 +233,10 @@
 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
 
-clean-noinstLTLIBRARIES:
-	-test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
-	@list='$(noinst_LTLIBRARIES)'; for p in $$list; do \
-	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
-	  test "$$dir" != "$$p" || dir=.; \
-	  echo "rm -f \"$${dir}/so_locations\""; \
-	  rm -f "$${dir}/so_locations"; \
-	done
-libORXevent.la: $(libORXevent_la_OBJECTS) $(libORXevent_la_DEPENDENCIES) 
-	$(CXXLINK)  $(libORXevent_la_LDFLAGS) $(libORXevent_la_OBJECTS) $(libORXevent_la_LIBADD) $(LIBS)
+clean-noinstLIBRARIES:
+	-test -z "$(noinst_LIBRARIES)" || rm -f $(noinst_LIBRARIES)
+libORXevent.a: $(libORXevent_a_OBJECTS) $(libORXevent_a_DEPENDENCIES) 
+	-rm -f libORXevent.a
+	$(libORXevent_a_AR) libORXevent.a $(libORXevent_a_OBJECTS) $(libORXevent_a_LIBADD)
+	$(RANLIB) libORXevent.a
 
 mostlyclean-compile:
@@ -259,9 +246,9 @@
 	-rm -f *.tab.c
 
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/event.Plo@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/event_handler.Plo@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/event_listener.Plo@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/key_mapper.Plo@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/key_names.Plo@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/event.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/event_handler.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/event_listener.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/key_mapper.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/key_names.Po@am__quote@
 
 .cc.o:
@@ -280,21 +267,4 @@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
-
-.cc.lo:
-@am__fastdepCXX_TRUE@	if $(LTCXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
-@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/$*.Plo' tmpdepfile='$(DEPDIR)/$*.TPlo' @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(LTCXXCOMPILE) -c -o $@ $<
-
-mostlyclean-libtool:
-	-rm -f *.lo
-
-clean-libtool:
-	-rm -rf .libs _libs
-
-distclean-libtool:
-	-rm -f libtool
 uninstall-info-am:
 
@@ -376,5 +346,5 @@
 check-am: all-am
 check: check-am
-all-am: Makefile $(LTLIBRARIES) $(HEADERS)
+all-am: Makefile $(LIBRARIES) $(HEADERS)
 installdirs:
 install: install-am
@@ -404,6 +374,5 @@
 clean: clean-am
 
-clean-am: clean-generic clean-libtool clean-noinstLTLIBRARIES \
-	mostlyclean-am
+clean-am: clean-generic clean-noinstLIBRARIES mostlyclean-am
 
 distclean: distclean-am
@@ -411,5 +380,5 @@
 	-rm -f Makefile
 distclean-am: clean-am distclean-compile distclean-generic \
-	distclean-libtool distclean-tags
+	distclean-tags
 
 dvi: dvi-am
@@ -440,6 +409,5 @@
 mostlyclean: mostlyclean-am
 
-mostlyclean-am: mostlyclean-compile mostlyclean-generic \
-	mostlyclean-libtool
+mostlyclean-am: mostlyclean-compile mostlyclean-generic
 
 pdf: pdf-am
@@ -454,14 +422,13 @@
 
 .PHONY: CTAGS GTAGS all all-am check check-am clean clean-generic \
-	clean-libtool clean-noinstLTLIBRARIES ctags distclean \
-	distclean-compile distclean-generic distclean-libtool \
-	distclean-tags distdir dvi dvi-am html html-am info info-am \
-	install install-am install-data install-data-am install-exec \
-	install-exec-am install-info install-info-am install-man \
-	install-strip installcheck installcheck-am installdirs \
-	maintainer-clean maintainer-clean-generic mostlyclean \
-	mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
-	pdf pdf-am ps ps-am tags uninstall uninstall-am \
-	uninstall-info-am
+	clean-noinstLIBRARIES ctags distclean distclean-compile \
+	distclean-generic distclean-tags distdir dvi dvi-am html \
+	html-am info info-am install install-am install-data \
+	install-data-am install-exec install-exec-am install-info \
+	install-info-am install-man install-strip installcheck \
+	installcheck-am installdirs maintainer-clean \
+	maintainer-clean-generic mostlyclean mostlyclean-compile \
+	mostlyclean-generic pdf pdf-am ps ps-am tags uninstall \
+	uninstall-am uninstall-info-am
 
 include $(MAINSRCDIR)/defs/include_paths.am