Index: trunk/src/lib/collision_detection/obb_tree_node.h
===================================================================
--- trunk/src/lib/collision_detection/obb_tree_node.h	(revision 5425)
+++ trunk/src/lib/collision_detection/obb_tree_node.h	(revision 5427)
@@ -8,4 +8,5 @@
 #define _OBB_TREE_NODE_H
 
+#include "glincl.h"
 #include "bv_tree_node.h"
 
Index: trunk/src/lib/graphics/importer/abstract_model.h
===================================================================
--- trunk/src/lib/graphics/importer/abstract_model.h	(revision 5425)
+++ trunk/src/lib/graphics/importer/abstract_model.h	(revision 5427)
@@ -22,5 +22,4 @@
 #define _ABSTRACT_MODEL_H
 
-#include "stdincl.h"
 #include "base_object.h"
 
@@ -42,5 +41,5 @@
 typedef struct
 {
-  byte             v[3];                 //!< the vector of the vertex
+  char             v[3];                 //!< the vector of the vertex
   unsigned char    lightNormalIndex;     //!< the index of the light normal
 } sVertex;
Index: trunk/src/lib/graphics/importer/model.cc
===================================================================
--- trunk/src/lib/graphics/importer/model.cc	(revision 5425)
+++ trunk/src/lib/graphics/importer/model.cc	(revision 5427)
@@ -20,5 +20,7 @@
 #include "model.h"
 
+#include "stdlibincl.h"
 #include <math.h>
+
 #include <stdarg.h>
 
Index: trunk/src/lib/graphics/spatial_separation/quadtree_node.cc
===================================================================
--- trunk/src/lib/graphics/spatial_separation/quadtree_node.cc	(revision 5425)
+++ trunk/src/lib/graphics/spatial_separation/quadtree_node.cc	(revision 5427)
@@ -18,4 +18,5 @@
 #include "quadtree_node.h"
 
+#include "glincl.h"
 #include "quadtree.h"
 #include "material.h"
Index: trunk/src/lib/graphics/spatial_separation/spatial_separation.cc
===================================================================
--- trunk/src/lib/graphics/spatial_separation/spatial_separation.cc	(revision 5425)
+++ trunk/src/lib/graphics/spatial_separation/spatial_separation.cc	(revision 5427)
@@ -21,4 +21,5 @@
 #include "quadtree.h"
 #include "debug.h"
+#include "compiler.h"
 
 using namespace std;
Index: trunk/src/lib/graphics/text_engine/font.cc
===================================================================
--- trunk/src/lib/graphics/text_engine/font.cc	(revision 5425)
+++ trunk/src/lib/graphics/text_engine/font.cc	(revision 5427)
@@ -27,4 +27,5 @@
 
 #include "debug.h"
+#include "stdlibincl.h"
 #include "compiler.h"
 
Index: trunk/src/lib/graphics/text_engine/text.h
===================================================================
--- trunk/src/lib/graphics/text_engine/text.h	(revision 5425)
+++ trunk/src/lib/graphics/text_engine/text.h	(revision 5427)
@@ -24,4 +24,5 @@
 // FORWARD DECLARATION
 class Font;
+struct SDL_Surface;
 
 /**
Index: trunk/src/lib/gui/gl_gui/glgui_button.cc
===================================================================
--- trunk/src/lib/gui/gl_gui/glgui_button.cc	(revision 5425)
+++ trunk/src/lib/gui/gl_gui/glgui_button.cc	(revision 5427)
@@ -65,5 +65,5 @@
  * draws the GLGuiButton
  */
-void GLGuiButton::draw()
+void GLGuiButton::draw() const
 {
 
Index: trunk/src/lib/gui/gl_gui/glgui_button.h
===================================================================
--- trunk/src/lib/gui/gl_gui/glgui_button.h	(revision 5425)
+++ trunk/src/lib/gui/gl_gui/glgui_button.h	(revision 5427)
@@ -37,5 +37,5 @@
    void setLabel(const char* label);
 
-   virtual void draw();
+   virtual void draw() const;
 
   protected:
Index: trunk/src/lib/sound/sound_engine.cc
===================================================================
--- trunk/src/lib/sound/sound_engine.cc	(revision 5425)
+++ trunk/src/lib/sound/sound_engine.cc	(revision 5427)
@@ -29,4 +29,5 @@
 #include "debug.h"
 #include "ini_parser.h"
+#include "globals.h"
 
 using namespace std;
Index: trunk/src/subprojects/benchmark.cc
===================================================================
--- trunk/src/subprojects/benchmark.cc	(revision 5425)
+++ trunk/src/subprojects/benchmark.cc	(revision 5427)
@@ -34,4 +34,5 @@
 #include "base_object.h"
 
+#include <stdlib.h>
 #include <asm/msr.h>
 #include <linux/timex.h>
Index: trunk/src/world_entities/npc.cc
===================================================================
--- trunk/src/world_entities/npc.cc	(revision 5425)
+++ trunk/src/world_entities/npc.cc	(revision 5427)
@@ -23,4 +23,5 @@
 #include "state.h"
 #include "list.h"
+#include "stdlibincl.h"
 
 using namespace std;
@@ -33,5 +34,5 @@
   this->loadModelWithScale("models/ships/bolido.obj", 2);
 
-  this->randomRotAxis = VECTOR_RAND(1);
+  this->randomRotAxis =  VECTOR_RAND(1);
 }
 
Index: trunk/src/world_entities/npc2.cc
===================================================================
--- trunk/src/world_entities/npc2.cc	(revision 5425)
+++ trunk/src/world_entities/npc2.cc	(revision 5427)
@@ -24,4 +24,5 @@
 #include "state.h"
 #include "list.h"
+#include "stdlibincl.h"
 
 using namespace std;
Index: trunk/src/world_entities/test_entity.cc
===================================================================
--- trunk/src/world_entities/test_entity.cc	(revision 5425)
+++ trunk/src/world_entities/test_entity.cc	(revision 5427)
@@ -78,5 +78,4 @@
 
 
-void TestEntity::collide (WorldEntity* other,  Uint32 ownhitflags, Uint32 otherhitflags) {}
 
 
Index: trunk/src/world_entities/test_entity.h
===================================================================
--- trunk/src/world_entities/test_entity.h	(revision 5425)
+++ trunk/src/world_entities/test_entity.h	(revision 5427)
@@ -24,5 +24,4 @@
   virtual void hit (WorldEntity* weapon, Vector* loc);
   virtual void destroy ();
-  virtual void collide (WorldEntity* other,  Uint32 ownhitflags, Uint32 otherhitflags);
   virtual void collidesWith(WorldEntity* entity, const Vector& location);
   virtual void draw ();