Index: /trunk/src/lib/collision_detection/obb_tree_node.cc
===================================================================
--- /trunk/src/lib/collision_detection/obb_tree_node.cc	(revision 5429)
+++ /trunk/src/lib/collision_detection/obb_tree_node.cc	(revision 5430)
@@ -37,8 +37,9 @@
 OBBTree*  OBBTreeNode::obbTree = NULL;
 
-float**  OBBTreeNode::coMat = NULL;
-float**  OBBTreeNode::eigvMat = NULL;
-float*   OBBTreeNode::eigvlMat = NULL;
-int*     OBBTreeNode::rotCount = NULL;
+float**  OBBTreeNode_coMat = NULL;
+float**  OBBTreeNode_eigvMat = NULL;
+float*   OBBTreeNode_eigvlMat = NULL;
+int*     OBBTreeNode_rotCount = NULL;
+GLUquadricObj* OBBTreeNode_sphereObj = NULL;
 
 /**
@@ -52,24 +53,25 @@
   this->bvElement = NULL;
 
-  if(coMat == NULL)
-  {
-    coMat = new float*[4];
+  if(OBBTreeNode_coMat == NULL)
+  {
+    OBBTreeNode_coMat = new float*[4];
     for(int i = 0; i < 4; i++)
-      coMat[i] = new float[4];
-  }
-  if(eigvMat == NULL)
-  {
-    eigvMat = new float*[4];
+      OBBTreeNode_coMat[i] = new float[4];
+  }
+  if(OBBTreeNode_eigvMat == NULL)
+  {
+    OBBTreeNode_eigvMat = new float*[4];
     for(int i = 0; i < 4; i++)
-      eigvMat[i] = new float[4];
-  }
-  if( eigvlMat == NULL)
-  {
-    eigvlMat = new float[4];
-  }
-  if( rotCount == NULL)
-    rotCount = new int;
-
-  this->sphereObj = gluNewQuadric();
+      OBBTreeNode_eigvMat[i] = new float[4];
+  }
+  if( OBBTreeNode_eigvlMat == NULL)
+  {
+    OBBTreeNode_eigvlMat = new float[4];
+  }
+  if( OBBTreeNode_rotCount == NULL)
+    OBBTreeNode_rotCount = new int;
+
+  if (OBBTreeNode_sphereObj == NULL)
+    OBBTreeNode_sphereObj = gluNewQuadric();
 }
 
@@ -358,7 +360,7 @@
   Vector*              axis = new Vector[3];                //!< the references to the obb axis
 
-  coMat[1][1] = box->covarianceMatrix[0][0]; coMat[1][2] = box->covarianceMatrix[0][1]; coMat[1][3] = box->covarianceMatrix[0][2];
-  coMat[2][1] = box->covarianceMatrix[1][0]; coMat[2][2] = box->covarianceMatrix[1][1]; coMat[2][3] = box->covarianceMatrix[1][2];
-  coMat[3][1] = box->covarianceMatrix[2][0]; coMat[3][2] = box->covarianceMatrix[2][1]; coMat[3][3] = box->covarianceMatrix[2][2];
+  OBBTreeNode_coMat[1][1] = box->covarianceMatrix[0][0]; OBBTreeNode_coMat[1][2] = box->covarianceMatrix[0][1]; OBBTreeNode_coMat[1][3] = box->covarianceMatrix[0][2];
+  OBBTreeNode_coMat[2][1] = box->covarianceMatrix[1][0]; OBBTreeNode_coMat[2][2] = box->covarianceMatrix[1][1]; OBBTreeNode_coMat[2][3] = box->covarianceMatrix[1][2];
+  OBBTreeNode_coMat[3][1] = box->covarianceMatrix[2][0]; OBBTreeNode_coMat[3][2] = box->covarianceMatrix[2][1]; OBBTreeNode_coMat[3][3] = box->covarianceMatrix[2][2];
 
 //   OBBTreeNode::coMat[0][0] = box->covarianceMatrix[0][0];
@@ -376,5 +378,5 @@
 
   /* new jacobi tests */
-  JacobI(OBBTreeNode::coMat, 3, eigvlMat, eigvMat, rotCount);
+  JacobI(OBBTreeNode_coMat, 3, OBBTreeNode_eigvlMat, OBBTreeNode_eigvMat, OBBTreeNode_rotCount);
   PRINTF(3)("-- Done Jacobi Decomposition\n");
 
@@ -386,12 +388,12 @@
 //     for(int k = 1; k < 4; ++k)
 //     {
-//       PRINTF(3)(" \b%f ", eigvMat[j][k]);
+//       PRINTF(3)(" \b%f ", OBBTreeNode_OBBTreeNode_eigvMat[j][k]);
 //     }
 //     PRINTF(3)(" |\n");
 //   }
 
-  axis[0].x = eigvMat[1][1]; axis[0].y = eigvMat[2][1]; axis[0].z = eigvMat[3][1];
-  axis[1].x = eigvMat[1][2]; axis[1].y = eigvMat[2][2]; axis[1].z = eigvMat[3][2];
-  axis[2].x = eigvMat[1][3]; axis[2].y = eigvMat[2][3]; axis[2].z = eigvMat[3][3];
+  axis[0].x = OBBTreeNode_eigvMat[1][1]; axis[0].y = OBBTreeNode_eigvMat[2][1]; axis[0].z = OBBTreeNode_eigvMat[3][1];
+  axis[1].x = OBBTreeNode_eigvMat[1][2]; axis[1].y = OBBTreeNode_eigvMat[2][2]; axis[1].z = OBBTreeNode_eigvMat[3][2];
+  axis[2].x = OBBTreeNode_eigvMat[1][3]; axis[2].y = OBBTreeNode_eigvMat[2][3]; axis[2].z = OBBTreeNode_eigvMat[3][3];
   axis[0].normalize();
   axis[1].normalize();
@@ -815,5 +817,5 @@
           glPushMatrix();
           glTranslatef(this->bvElement->vertices[i][0], this->bvElement->vertices[i][1], this->bvElement->vertices[i][2]);
-          gluSphere(this->sphereObj, 0.1, 10, 10);
+          gluSphere(OBBTreeNode_sphereObj, 0.1, 10, 10);
           glPopMatrix();
         }
Index: /trunk/src/lib/collision_detection/obb_tree_node.h
===================================================================
--- /trunk/src/lib/collision_detection/obb_tree_node.h	(revision 5429)
+++ /trunk/src/lib/collision_detection/obb_tree_node.h	(revision 5430)
@@ -69,11 +69,4 @@
     int                 tmpLen1;                    //!< len vert data obbox1
     int                 tmpLen2;                    //!< len vert data obbox2
-
-    static float**      coMat;                      //!< temp covariance matrice save place - consumes less mem
-    static float**      eigvMat;                    //!< temp eigenvector matrice save place
-    static float*       eigvlMat;                   //!< temp eigenvalue vector save place
-    static int*         rotCount;                   //!< temp rotations count save place: how many givens-rotations where needed to transform the matrix :)
-
-    GLUquadricObj*      sphereObj;
 };
 
Index: /trunk/src/lib/graphics/importer/abstract_model.h
===================================================================
--- /trunk/src/lib/graphics/importer/abstract_model.h	(revision 5429)
+++ /trunk/src/lib/graphics/importer/abstract_model.h	(revision 5430)
@@ -116,16 +116,16 @@
 } sAnimState;
 
-
+//! Model Information definitions
 typedef struct
 {
-  unsigned int     numVertices;
-  unsigned int     numTriangles;
-  unsigned int     numNormals;
+  unsigned int     numVertices;          //!< number of Vertices in the Model
+  unsigned int     numTriangles;         //!< number of triangles in the Model
+  unsigned int     numNormals;           //!< how many Normals in the Model
   unsigned int     numTexCoor;
 
-  const float*     pVertices;
-  sTriangleExt*    pTriangles;
-  const float*     pNormals;
-  const float*     pTexCoor;
+  const float*     pVertices;            //!< array of the Vertives
+  sTriangleExt*    pTriangles;           //!< array of all triangles
+  const float*     pNormals;             //!< array of the Normals
+  const float*     pTexCoor;             //!< array of the Texture Coordinates
 
 } modelInfo;
@@ -140,15 +140,10 @@
     virtual ~AbstractModel() {}
 
-    inline modelInfo* getModelInfo() const { return this->pModelInfo; }
+    inline const modelInfo* getModelInfo() const { return this->pModelInfo; }
 
 
   protected:
-    modelInfo*     pModelInfo;      //!< Reference to the modelInfo defined in abstract_model.h
-    Quadtree*      quadtreel;       //!< Reference to the quadtree of the object, NULL if not defined
+    modelInfo*     pModelInfo;      //!< Reference to the modelInfo
 };
 
-
-
-
-
 #endif /* _ABSTRACT_MODEL_H */
Index: /trunk/src/lib/graphics/importer/model.cc
===================================================================
--- /trunk/src/lib/graphics/importer/model.cc	(revision 5429)
+++ /trunk/src/lib/graphics/importer/model.cc	(revision 5430)
@@ -21,6 +21,4 @@
 
 #include "stdlibincl.h"
-#include <math.h>
-
 #include <stdarg.h>
 
Index: /trunk/src/lib/graphics/spatial_separation/quadtree.cc
===================================================================
--- /trunk/src/lib/graphics/spatial_separation/quadtree.cc	(revision 5429)
+++ /trunk/src/lib/graphics/spatial_separation/quadtree.cc	(revision 5430)
@@ -31,5 +31,5 @@
  *  standard constructor
  */
-Quadtree::Quadtree (modelInfo* pModelInfo, const int treeDepth)
+Quadtree::Quadtree (const modelInfo* pModelInfo, const int treeDepth)
 {
   this->setClassID(CL_QUADTREE, "Quadtree");
Index: /trunk/src/lib/graphics/spatial_separation/quadtree.h
===================================================================
--- /trunk/src/lib/graphics/spatial_separation/quadtree.h	(revision 5429)
+++ /trunk/src/lib/graphics/spatial_separation/quadtree.h	(revision 5430)
@@ -24,5 +24,5 @@
 
   public:
-    Quadtree(modelInfo* pModelInfo, const int treeDepth);
+    Quadtree(const modelInfo* pModelInfo, const int treeDepth);
     virtual ~Quadtree();
 
@@ -42,5 +42,5 @@
     QuadtreeNode*                   rootNode;              //!< reference to the root node of the quadtree
     QuadtreeNode**                  nodes;                 //!< reference to all quadtree nodes (only leafs of the quad tree)
-    modelInfo*                      pModelInfo;            //!< reference to the modelInfo of the object
+    const modelInfo*                pModelInfo;            //!< reference to the modelInfo of the object
     int                             treeDepth;             //!< depth of the tree
 
Index: /trunk/src/lib/graphics/spatial_separation/quadtree_node.cc
===================================================================
--- /trunk/src/lib/graphics/spatial_separation/quadtree_node.cc	(revision 5429)
+++ /trunk/src/lib/graphics/spatial_separation/quadtree_node.cc	(revision 5430)
@@ -68,5 +68,5 @@
  *  standard constructor
  */
-QuadtreeNode::QuadtreeNode(modelInfo* pModelInfo, Quadtree* quadtree, const int maxDepth)
+QuadtreeNode::QuadtreeNode(const modelInfo* pModelInfo, Quadtree* quadtree, const int maxDepth)
 {
   /* save all important variables localy */
Index: /trunk/src/lib/graphics/spatial_separation/quadtree_node.h
===================================================================
--- /trunk/src/lib/graphics/spatial_separation/quadtree_node.h	(revision 5429)
+++ /trunk/src/lib/graphics/spatial_separation/quadtree_node.h	(revision 5430)
@@ -32,5 +32,5 @@
                  Rectangle* rect, int treeDepth, const int maxDepth, int index
                 );
-    QuadtreeNode(modelInfo* pModelInfo, Quadtree* quadtree, const int maxDepth);
+    QuadtreeNode(const modelInfo* pModelInfo, Quadtree* quadtree, const int maxDepth);
     virtual ~QuadtreeNode();
 
@@ -82,5 +82,5 @@
     unsigned int                    numTriangles;       //!< number of triangles of the Node
     unsigned int                    numVertices;        //!< number of vertices of the node
-    modelInfo*                      pModelInfo;         //!< reference to the modelInfo of the object
+    const modelInfo*                pModelInfo;         //!< reference to the modelInfo of the object
     Rectangle*                      pDimension;         //!< pointer to the local rectangle properties
 