Index: trunk/src/lib/collision_detection/obb_tree.h
===================================================================
--- trunk/src/lib/collision_detection/obb_tree.h	(revision 5430)
+++ trunk/src/lib/collision_detection/obb_tree.h	(revision 5431)
@@ -36,4 +36,5 @@
     Material* getTransparentMaterial(unsigned int depth) { return this->transparentMaterial[depth%5]; }
     Material* getCollisionMaterial() { return this->collisionMaterial; }
+
     int getID() { return ++this->id;}
     inline OBBTreeNode* getRootNode() { return this->rootNode; }
Index: trunk/src/lib/collision_detection/obb_tree_node.cc
===================================================================
--- trunk/src/lib/collision_detection/obb_tree_node.cc	(revision 5430)
+++ trunk/src/lib/collision_detection/obb_tree_node.cc	(revision 5431)
@@ -29,5 +29,5 @@
 
 #include "lin_alg.h"
-
+#include "glincl.h"
 
 
@@ -37,8 +37,8 @@
 OBBTree*  OBBTreeNode::obbTree = NULL;
 
-float**  OBBTreeNode_coMat = NULL;
-float**  OBBTreeNode_eigvMat = NULL;
-float*   OBBTreeNode_eigvlMat = NULL;
-int*     OBBTreeNode_rotCount = NULL;
+float**  OBBTreeNode::coMat = NULL;
+float**  OBBTreeNode::eigvMat = NULL;
+float*   OBBTreeNode::eigvlMat = NULL;
+int*     OBBTreeNode::rotCount = NULL;
 GLUquadricObj* OBBTreeNode_sphereObj = NULL;
 
@@ -53,22 +53,22 @@
   this->bvElement = NULL;
 
-  if(OBBTreeNode_coMat == NULL)
-  {
-    OBBTreeNode_coMat = new float*[4];
+  if(OBBTreeNode::coMat == NULL)
+  {
+    OBBTreeNode::coMat = new float*[4];
     for(int i = 0; i < 4; i++)
-      OBBTreeNode_coMat[i] = new float[4];
-  }
-  if(OBBTreeNode_eigvMat == NULL)
-  {
-    OBBTreeNode_eigvMat = new float*[4];
+      OBBTreeNode::coMat[i] = new float[4];
+  }
+  if(OBBTreeNode::eigvMat == NULL)
+  {
+    OBBTreeNode::eigvMat = new float*[4];
     for(int i = 0; i < 4; i++)
-      OBBTreeNode_eigvMat[i] = new float[4];
-  }
-  if( OBBTreeNode_eigvlMat == NULL)
-  {
-    OBBTreeNode_eigvlMat = new float[4];
-  }
-  if( OBBTreeNode_rotCount == NULL)
-    OBBTreeNode_rotCount = new int;
+      OBBTreeNode::eigvMat[i] = new float[4];
+  }
+  if( OBBTreeNode::eigvlMat == NULL)
+  {
+    OBBTreeNode::eigvlMat = new float[4];
+  }
+  if( OBBTreeNode::rotCount == NULL)
+    OBBTreeNode::rotCount = new int;
 
   if (OBBTreeNode_sphereObj == NULL)
@@ -360,7 +360,7 @@
   Vector*              axis = new Vector[3];                //!< the references to the obb axis
 
-  OBBTreeNode_coMat[1][1] = box->covarianceMatrix[0][0]; OBBTreeNode_coMat[1][2] = box->covarianceMatrix[0][1]; OBBTreeNode_coMat[1][3] = box->covarianceMatrix[0][2];
-  OBBTreeNode_coMat[2][1] = box->covarianceMatrix[1][0]; OBBTreeNode_coMat[2][2] = box->covarianceMatrix[1][1]; OBBTreeNode_coMat[2][3] = box->covarianceMatrix[1][2];
-  OBBTreeNode_coMat[3][1] = box->covarianceMatrix[2][0]; OBBTreeNode_coMat[3][2] = box->covarianceMatrix[2][1]; OBBTreeNode_coMat[3][3] = box->covarianceMatrix[2][2];
+  OBBTreeNode::coMat[1][1] = box->covarianceMatrix[0][0]; OBBTreeNode::coMat[1][2] = box->covarianceMatrix[0][1]; OBBTreeNode::coMat[1][3] = box->covarianceMatrix[0][2];
+  OBBTreeNode::coMat[2][1] = box->covarianceMatrix[1][0]; OBBTreeNode::coMat[2][2] = box->covarianceMatrix[1][1]; OBBTreeNode::coMat[2][3] = box->covarianceMatrix[1][2];
+  OBBTreeNode::coMat[3][1] = box->covarianceMatrix[2][0]; OBBTreeNode::coMat[3][2] = box->covarianceMatrix[2][1]; OBBTreeNode::coMat[3][3] = box->covarianceMatrix[2][2];
 
 //   OBBTreeNode::coMat[0][0] = box->covarianceMatrix[0][0];
@@ -378,5 +378,5 @@
 
   /* new jacobi tests */
-  JacobI(OBBTreeNode_coMat, 3, OBBTreeNode_eigvlMat, OBBTreeNode_eigvMat, OBBTreeNode_rotCount);
+  JacobI(OBBTreeNode::coMat, 3, OBBTreeNode::eigvlMat, OBBTreeNode::eigvMat, OBBTreeNode::rotCount);
   PRINTF(3)("-- Done Jacobi Decomposition\n");
 
@@ -388,12 +388,12 @@
 //     for(int k = 1; k < 4; ++k)
 //     {
-//       PRINTF(3)(" \b%f ", OBBTreeNode_OBBTreeNode_eigvMat[j][k]);
+//       PRINTF(3)(" \b%f ", OBBTreeNode::OBBTreeNode::eigvMat[j][k]);
 //     }
 //     PRINTF(3)(" |\n");
 //   }
 
-  axis[0].x = OBBTreeNode_eigvMat[1][1]; axis[0].y = OBBTreeNode_eigvMat[2][1]; axis[0].z = OBBTreeNode_eigvMat[3][1];
-  axis[1].x = OBBTreeNode_eigvMat[1][2]; axis[1].y = OBBTreeNode_eigvMat[2][2]; axis[1].z = OBBTreeNode_eigvMat[3][2];
-  axis[2].x = OBBTreeNode_eigvMat[1][3]; axis[2].y = OBBTreeNode_eigvMat[2][3]; axis[2].z = OBBTreeNode_eigvMat[3][3];
+  axis[0].x = OBBTreeNode::eigvMat[1][1]; axis[0].y = OBBTreeNode::eigvMat[2][1]; axis[0].z = OBBTreeNode::eigvMat[3][1];
+  axis[1].x = OBBTreeNode::eigvMat[1][2]; axis[1].y = OBBTreeNode::eigvMat[2][2]; axis[1].z = OBBTreeNode::eigvMat[3][2];
+  axis[2].x = OBBTreeNode::eigvMat[1][3]; axis[2].y = OBBTreeNode::eigvMat[2][3]; axis[2].z = OBBTreeNode::eigvMat[3][3];
   axis[0].normalize();
   axis[1].normalize();
Index: trunk/src/lib/collision_detection/obb_tree_node.h
===================================================================
--- trunk/src/lib/collision_detection/obb_tree_node.h	(revision 5430)
+++ trunk/src/lib/collision_detection/obb_tree_node.h	(revision 5431)
@@ -8,5 +8,4 @@
 #define _OBB_TREE_NODE_H
 
-#include "glincl.h"
 #include "bv_tree_node.h"
 
@@ -69,4 +68,9 @@
     int                 tmpLen1;                    //!< len vert data obbox1
     int                 tmpLen2;                    //!< len vert data obbox2
+
+    static float**      coMat;
+    static float**      eigvMat;
+    static float*       eigvlMat;
+    static int*         rotCount;
 };
 