Index: trunk/src/Makefile.am
===================================================================
--- trunk/src/Makefile.am	(revision 5432)
+++ trunk/src/Makefile.am	(revision 5433)
@@ -64,4 +64,5 @@
                   world_entities/weapons/test_bullet.cc \
                   world_entities/weapons/crosshair.cc \
+                  world_entities/power_ups/power_up.cc \
                   subprojects/benchmark.cc
 
@@ -81,5 +82,4 @@
                  world_entities/skysphere.h \
                  world_entities/skybox.h \
-                 world_entities/power_up.h \
                  world_entities/terrain.h \
                  world_entities/satellite.h \
@@ -93,4 +93,5 @@
                  world_entities/weapons/test_bullet.h \
                  world_entities/weapons/crosshair.h \
+		 world_entities/power_ups/power_up.h \
                  defs/stdincl.h \
                  defs/stdlibincl.h \
Index: trunk/src/Makefile.in
===================================================================
--- trunk/src/Makefile.in	(revision 5432)
+++ trunk/src/Makefile.in	(revision 5433)
@@ -66,5 +66,5 @@
 	orxonox-test_gun.$(OBJEXT) orxonox-turret.$(OBJEXT) \
 	orxonox-test_bullet.$(OBJEXT) orxonox-crosshair.$(OBJEXT) \
-	orxonox-benchmark.$(OBJEXT)
+	orxonox-power_up.$(OBJEXT) orxonox-benchmark.$(OBJEXT)
 orxonox_OBJECTS = $(am_orxonox_OBJECTS)
 am__DEPENDENCIES_1 =
@@ -82,4 +82,5 @@
 @AMDEP_TRUE@	./$(DEPDIR)/orxonox-orxonox.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/orxonox-player.Po \
+@AMDEP_TRUE@	./$(DEPDIR)/orxonox-power_up.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/orxonox-projectile.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/orxonox-satellite.Po \
@@ -278,4 +279,5 @@
                   world_entities/weapons/test_bullet.cc \
                   world_entities/weapons/crosshair.cc \
+                  world_entities/power_ups/power_up.cc \
                   subprojects/benchmark.cc
 
@@ -295,5 +297,4 @@
                  world_entities/skysphere.h \
                  world_entities/skybox.h \
-                 world_entities/power_up.h \
                  world_entities/terrain.h \
                  world_entities/satellite.h \
@@ -307,4 +308,5 @@
                  world_entities/weapons/test_bullet.h \
                  world_entities/weapons/crosshair.h \
+		 world_entities/power_ups/power_up.h \
                  defs/stdincl.h \
                  defs/stdlibincl.h \
@@ -413,4 +415,5 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/orxonox-orxonox.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/orxonox-player.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/orxonox-power_up.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/orxonox-projectile.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/orxonox-satellite.Po@am__quote@
@@ -811,4 +814,20 @@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(orxonox_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o orxonox-crosshair.obj `if test -f 'world_entities/weapons/crosshair.cc'; then $(CYGPATH_W) 'world_entities/weapons/crosshair.cc'; else $(CYGPATH_W) '$(srcdir)/world_entities/weapons/crosshair.cc'; fi`
+
+orxonox-power_up.o: world_entities/power_ups/power_up.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(orxonox_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT orxonox-power_up.o -MD -MP -MF "$(DEPDIR)/orxonox-power_up.Tpo" -c -o orxonox-power_up.o `test -f 'world_entities/power_ups/power_up.cc' || echo '$(srcdir)/'`world_entities/power_ups/power_up.cc; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/orxonox-power_up.Tpo" "$(DEPDIR)/orxonox-power_up.Po"; else rm -f "$(DEPDIR)/orxonox-power_up.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='world_entities/power_ups/power_up.cc' object='orxonox-power_up.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/orxonox-power_up.Po' tmpdepfile='$(DEPDIR)/orxonox-power_up.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(orxonox_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o orxonox-power_up.o `test -f 'world_entities/power_ups/power_up.cc' || echo '$(srcdir)/'`world_entities/power_ups/power_up.cc
+
+orxonox-power_up.obj: world_entities/power_ups/power_up.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(orxonox_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT orxonox-power_up.obj -MD -MP -MF "$(DEPDIR)/orxonox-power_up.Tpo" -c -o orxonox-power_up.obj `if test -f 'world_entities/power_ups/power_up.cc'; then $(CYGPATH_W) 'world_entities/power_ups/power_up.cc'; else $(CYGPATH_W) '$(srcdir)/world_entities/power_ups/power_up.cc'; fi`; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/orxonox-power_up.Tpo" "$(DEPDIR)/orxonox-power_up.Po"; else rm -f "$(DEPDIR)/orxonox-power_up.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='world_entities/power_ups/power_up.cc' object='orxonox-power_up.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/orxonox-power_up.Po' tmpdepfile='$(DEPDIR)/orxonox-power_up.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(orxonox_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o orxonox-power_up.obj `if test -f 'world_entities/power_ups/power_up.cc'; then $(CYGPATH_W) 'world_entities/power_ups/power_up.cc'; else $(CYGPATH_W) '$(srcdir)/world_entities/power_ups/power_up.cc'; fi`
 
 orxonox-benchmark.o: subprojects/benchmark.cc
@@ -950,5 +969,5 @@
 
 distdir: $(DISTFILES)
-	$(mkdir_p) $(distdir)/defs $(distdir)/proto $(distdir)/story_entities $(distdir)/subprojects $(distdir)/world_entities $(distdir)/world_entities/weapons
+	$(mkdir_p) $(distdir)/defs $(distdir)/proto $(distdir)/story_entities $(distdir)/subprojects $(distdir)/world_entities $(distdir)/world_entities/power_ups $(distdir)/world_entities/weapons
 	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
 	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
Index: trunk/src/world_entities/Makefile.am
===================================================================
--- trunk/src/world_entities/Makefile.am	(revision 5432)
+++ trunk/src/world_entities/Makefile.am	(revision 5433)
@@ -23,5 +23,6 @@
                   weapons/turret.cc \
                   weapons/test_bullet.cc \
-                  weapons/crosshair.cc
+                  weapons/crosshair.cc \
+                  power_ups/power_up.cc
 
 noinst_HEADERS = \
@@ -34,5 +35,4 @@
                  skysphere.h \
                  skybox.h \
-                 power_up.h \
                  terrain.h \
                  satellite.h \
@@ -45,5 +45,6 @@
                  weapons/turret.h \
                  weapons/test_bullet.h \
-                 weapons/crosshair.h
+                 weapons/crosshair.h \
+                 power_ups/power_up.h
 
 
Index: trunk/src/world_entities/power_up.cc
===================================================================
--- trunk/src/world_entities/power_up.cc	(revision 5432)
+++ 	(revision )
@@ -1,35 +1,0 @@
-
-
-/*
-   orxonox - the future of 3D-vertical-scrollers
-
-   Copyright (C) 2004 orx
-
-   This program is free software; you can redistribute it and/or modify
-   it under the terms of the GNU General Public License as published by
-   the Free Software Foundation; either version 2, or (at your option)
-   any later version.
-
-   ### File Specific:
-   main-programmer: ...
-   co-programmer: ...
-*/
-
-
-#include "power_up.h"
-
-
-using namespace std;
-
-
-
-PowerUp::PowerUp ()
-{
-  this->setClassID(CL_POWER_UP, "PowerUp");
-}
-
-
-
-PowerUp::~PowerUp () {}
-
-
Index: trunk/src/world_entities/power_up.h
===================================================================
--- trunk/src/world_entities/power_up.h	(revision 5432)
+++ 	(revision )
@@ -1,21 +1,0 @@
-/*! 
- * @file power_up.h
-  *  A class representing a PowerUp in the world.
-*/ 
-
-#ifndef _POWER_UP_H
-#define _POWER_UP_H
-
-#include "data_tank.h"
-#include "ability.h"
-#include "world_entity.h"
-
-class PowerUp : Ability, WorldEntity { 
-
- public:
-  PowerUp ();
-  virtual ~PowerUp ();
-  
-};
-
-#endif /* _POWER_UP_H */
Index: trunk/src/world_entities/power_ups/power_up.cc
===================================================================
--- trunk/src/world_entities/power_ups/power_up.cc	(revision 5433)
+++ trunk/src/world_entities/power_ups/power_up.cc	(revision 5433)
@@ -0,0 +1,35 @@
+
+
+/*
+   orxonox - the future of 3D-vertical-scrollers
+
+   Copyright (C) 2004 orx
+
+   This program is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; either version 2, or (at your option)
+   any later version.
+
+   ### File Specific:
+   main-programmer: ...
+   co-programmer: ...
+*/
+
+
+#include "power_up.h"
+
+
+using namespace std;
+
+
+
+PowerUp::PowerUp ()
+{
+  this->setClassID(CL_POWER_UP, "PowerUp");
+}
+
+
+
+PowerUp::~PowerUp () {}
+
+
Index: trunk/src/world_entities/power_ups/power_up.h
===================================================================
--- trunk/src/world_entities/power_ups/power_up.h	(revision 5433)
+++ trunk/src/world_entities/power_ups/power_up.h	(revision 5433)
@@ -0,0 +1,19 @@
+/*!
+ * @file power_up.h
+ * @brief A class representing a PowerUp in the world.
+*/
+
+#ifndef _POWER_UP_H
+#define _POWER_UP_H
+
+#include "world_entity.h"
+
+class PowerUp : WorldEntity {
+
+ public:
+  PowerUp ();
+  virtual ~PowerUp ();
+
+};
+
+#endif /* _POWER_UP_H */